%global momorel 19
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: RPM Spec File mode for Emacsen
Name: elisp-rpm-mode
Version: 1.38
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
URL: http://www.karaba.org/~mk/rpm/rpm.html
#Source0: http://www.karaba.org/~mk/rpm/rpm-mode.el.gz
#NoSource: 0
Source0: rpm-mode.el
Patch0: rpm-mode-font-lock-keywords.patch
Patch1: rpm-mode-C-c-d.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs
BuildPreReq: xemacs

%description
rpm-mode is Emacs Lisp for editing RPM spec file.

%package -n rpm-mode-emacs
Summary: RPM Spec File mode for Emacsen
Group: Applications/Editors
Requires: emacs

%description -n rpm-mode-emacs
rpm-mode is Emacs Lisp for editing RPM spec file.

%package -n rpm-mode-xemacs
Summary: RPM Spec File mode for Emacsen
Group: Applications/Editors
Requires: xemacs

%description -n rpm-mode-xemacs
rpm-mode is Emacs Lisp for editing RPM spec file.

%prep
%setup -q -c -T 0
cp -p %{SOURCE0} .
%patch0 -p0 -b .original
%patch1 -p0 -b .c-c-d

%build
emacs -q -no-site-file -batch -f batch-byte-compile rpm-mode.el
mv rpm-mode.elc rpm-mode.elc.emacs
LANG=ja_JP.EUC-JP xemacs -q -no-site-file -batch -f batch-byte-compile rpm-mode.el
mv rpm-mode.elc rpm-mode.elc.xemacs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{e_sitedir}
install -m 644 rpm-mode.el %{buildroot}%{e_sitedir}
install -m 644 rpm-mode.elc.emacs %{buildroot}%{e_sitedir}/rpm-mode.elc
mkdir -p %{buildroot}%{xe_sitedir}
install -m 644 rpm-mode.el %{buildroot}%{xe_sitedir}
install -m 644 rpm-mode.elc.xemacs %{buildroot}%{xe_sitedir}/rpm-mode.elc

%clean
rm -rf %{buildroot}

%files -n rpm-mode-emacs
%defattr(-, root, root)
%{e_sitedir}/*

%files -n rpm-mode-xemacs
%defattr(-, root, root)
%{xe_sitedir}/*

%changelog
* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-19m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-18m)
- rebuild against emacs-22.1

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-17m)
- add rpm-mode-C-c-d.patch

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-16m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-15m)
- rebuild against emacs-22.0.94

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-14m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-13m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-12m)
- rebuild against emacs-22.0.90

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.38-11m)
- use %%{e_sitedir} %%{xe_sitedir}.
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-10m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-9m)
- rebuild against emacs-21.3.50

* Fri Dec 26 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-8m)
- modify patch0 again.

* Sat Dec 20 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-7m)
- modify patch0 again.

* Wed Dec 17 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-6m)
- modify patch0

* Wed Apr  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.38-5m)
- modify patch0

* Wed Mar 26 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.38-4m)
- modify fontify keywords. (add patch0)

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-2m)
- rebuild against emacs-21.3
- use %%{_prefix} %%{_datadir} %%{_libdir} macro

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.38-1m)
